# MongoDB\Driver\WriteConcern::getJournal

(mongodb >=1.0.0)

MongoDB\Driver\WriteConcern::getJournal — Returns the WriteConcern's "journal" option

### Description

final public MongoDB\Driver\WriteConcern::getJournal ( void ) : boolean|null

### Parameters

This function has no parameters.

### Return Values

Returns the WriteConcern's "journal" option.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\WriteConcern::getJournal() example

`<?php
$wc = new MongoDB\Driver\WriteConcern(1);
var_dump($wc->getJournal());
$wc = new MongoDB\Driver\WriteConcern(1, 0, true);
var_dump($wc->getJournal());
$wc = new MongoDB\Driver\WriteConcern(1, 0, false);
var_dump($wc->getJournal());
?>`

The above example will output:

    NULL
    bool(true)
    bool(false)

### See Also

- » Write Concern reference